%web_drop_table(WORK.IMPORT1);


FILENAME REFFILE '/home/u58265911/sasuser.v94/Life Expecttancy - My Data.xlsx';

PROC IMPORT DATAFILE=REFFILE
	DBMS=XLSX
	OUT=WORK.IMPORT1;
	GETNAMES=YES;
RUN;

PROC CONTENTS DATA=WORK.IMPORT1; RUN;


%web_open_table(WORK.IMPORT1);

data new;
set Work.Import1 (rename=(Y=old X2=old2 X3=old3 X4=old4 X5=old5 X6= old6 X7=old7));
 Y = input(old, best4.);
 X2 = input(old2, best.4);
 X3 = input(old3, best.4);
 X4 = input(old4, best.4);
 X5 = input(old5, best.4);
 X6 = input(old6, best.4);
 X7 = input(old7, best.4);
 drop old old2 old3 old4 old5 old6 old7;
 format Y X2 X3 X4 X5 X6 X7 best4.;
run;
*Creating dummy variables;
data shaz;
set new;
if status='Developing' then d1=1; else d1=0;
d1x1=d1*x1;
d1x2=d1*x2;
d1x3=d1*x3;
d1x4=d1*x4;
d1x5=d1*x5;
d1x6=d1*x6;
d1x7=d1*x7;
*Sorting the data;
proc sort data=work.shaz;
by country year;
run;

goptions reset=all;
title1 'Panel Procedure One Way life expectancy';
proc panel data=work.shaz;
id country year;
model Y= X1 X4/ranone;
run;

goptions reset=all;
title1 'Panel Procedure life expectancy';
proc panel data=work.shaz plots=residualhistogram plots=qq;
id country year;
model Y= X1 X4/ rantwo vcomp = WH;*fb wh nl;
output out=O  Residual=Res PREDICTED=Predi;
run;
proc print data=o;
proc sgplot data=o;
scatter x =Predi y=Res;
run;




